<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:dist="http://schemas.android.com/apk/distribution"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="LockedOrientationActivity">

    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.READ_PHONE_NUMBERS" />

    <dist:module
        dist:instant="false"
        dist:title="@string/module_account">
        <dist:fusing dist:include="true" />
        <dist:delivery>
            <dist:install-time>
                <dist:removable dist:value="true" />
            </dist:install-time>
        </dist:delivery>
    </dist:module>

    <application>

        <activity
            android:name=".login.LoginActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme">

            <!--            <intent-filter android:autoVerify="true">-->
            <!--                <action android:name="android.intent.action.VIEW" />-->

            <!--                <category android:name="android.intent.category.DEFAULT" />-->
            <!--                <category android:name="android.intent.category.BROWSABLE" />-->

            <!--                <data android:scheme="http" />-->
            <!--                <data android:scheme="https" />-->
            <!--                <data android:host="gami.vip" />-->
            <!--                <data android:path="/applink/login" />-->
            <!--            </intent-filter>-->

        </activity>

        <activity
            android:name=".login.phone.PhoneLoginActivity"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme" />

        <activity
            android:name=".register.RegisterProfileActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme"
            android:windowSoftInputMode="adjustResize|adjustPan" />

    </application>

    <queries>
        <package android:name="com.whatsapp" />
        <package android:name="com.whatsapp.w4b" />
    </queries>

    <uses-sdk
        android:minSdkVersion="21"
        tools:overrideLibrary="com.whatsapp.otp.android.sdk" />


</manifest>